org.apache.cassandra.cql3

## Class QueryOptions

- java.lang.Object
- - org.apache.cassandra.cql3.QueryOptions

    public class QueryOptions
    extends java.lang.Object

Options for a query.

### Field Summary

Fields
`static CBCodec<QueryOptions>` `codec`
`static QueryOptions` `DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`QueryOptions(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values)`
`QueryOptions(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values, boolean skipMetadata, int pageSize, PagingState pagingState, ConsistencyLevel serialConsistency)`

### Method Summary

Methods
`static QueryOptions` `fromProtocolV1(ConsistencyLevel consistency, java.util.List<java.nio.ByteBuffer> values)`
`ConsistencyLevel` `getConsistency()`
`int` `getPageSize()` The pageSize for this query.
`PagingState` `getPagingState()` The paging state for this query, or null if not relevant.
`int` `getProtocolVersion()` The protocol version for the query.
`ConsistencyLevel` `getSerialConsistency()` Serial consistency for conditional updates.
`java.util.List<java.nio.ByteBuffer>` `getValues()`
`boolean` `skipMetadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final QueryOptions DEFAULT

#### codec

    public static final CBCodec<QueryOptions> codec

### Constructor Detail

#### QueryOptions

    public QueryOptions(ConsistencyLevel consistency,
                java.util.List<java.nio.ByteBuffer> values)

#### QueryOptions

    public QueryOptions(ConsistencyLevel consistency,
                java.util.List<java.nio.ByteBuffer> values,
                boolean skipMetadata,
                int pageSize,
                PagingState pagingState,
                ConsistencyLevel serialConsistency)

### Method Detail

#### fromProtocolV1

    public static QueryOptions fromProtocolV1(ConsistencyLevel consistency,
                              java.util.List<java.nio.ByteBuffer> values)

#### getConsistency

    public ConsistencyLevel getConsistency()

#### getValues

    public java.util.List<java.nio.ByteBuffer> getValues()

#### skipMetadata

    public boolean skipMetadata()

#### getPageSize

    public int getPageSize()

The pageSize for this query. Will be <= 0 if not relevant for the query.

#### getPagingState

    public PagingState getPagingState()

The paging state for this query, or null if not relevant.

#### getSerialConsistency

    public ConsistencyLevel getSerialConsistency()

Serial consistency for conditional updates.

#### getProtocolVersion

    public int getProtocolVersion()

The protocol version for the query. Will be 0 if the object don't come from a native protocol request (i.e. it's been allocated locally or by CQL-over-thrift).